<?php
if ('cash.php' == basename($_SERVER['SCRIPT_FILENAME']))
     die ('<h2>'.__('Direct File Access Prohibited','eshop').'</h2>');
     
/*******************************************************************************
 *                      PHP cash IPN Integration Class
 *******************************************************************************
 *      Author:     Rich Pedley
 *      Based on: Paypal class
 *      
 *      To submit an order to cash, have your order form POST to a file with:
 *
 *          $p = new cash_class;
 *          $p->add_field('business', 'somebody@domain.com');
 *          $p->add_field('first_name', $_POST['first_name']);
 *          ... (add all your fields in the same manor)
 *          $p->submit_cash_post();
 *
 *      To process an IPN, have your IPN processing file contain:
 *
 *          $p = new cash_class;
 *          if ($p->validate_ipn()) {
 *          ... (IPN is verified.  Details are in the ipn_data() array)
 *          }
 * 
 *******************************************************************************
*/

class cash_class {
    
   var $last_error;                 // holds the last error encountered
   var $ipn_response;               // holds the IPN response from paypal   
   var $ipn_data = array();         // array contains the POST values for IPN
   var $fields = array();           // array holds the fields to submit to paypal
   
   function cash_class() {
       
      // initialization constructor.  Called when class is created.
      $this->last_error = '';
      $this->ipn_response = '';
    
   }
   
   function add_field($field, $value) {
      
      // adds a key=>value pair to the fields array, which is what will be 
      // sent to cash as POST variables.  If the value is already in the 
      // array, it will be overwritten.
      
      $this->fields["$field"] = $value;
   }

   function submit_cash_post() {
      // The user will briefly see a message on the screen that reads:
      // "Please wait, your order is being processed..." and then immediately
      // is redirected to cash.

      $echo= "<form method=\"post\" class=\"eshop\" action=\"".$this->autoredirect."\"><div>\n";

      foreach ($this->fields as $name => $value) {
         $echo.= "<input type=\"hidden\" name=\"$name\" value=\"$value\" />\n";
      }
      $refid=uniqid(rand());
      $echo .= "<input type=\"hidden\" name=\"RefNr\" value=\"$refid\" />\n";
      $echo.='<label for="ppsubmit"><small>'.__('<strong>Note:</strong>  &#1605;&#1585;&#1581;&#1604;&#1607; &#1606;&#1607;&#1575;&#1740;&#1740; &#1587;&#1601;&#1575;&#1585;&#1588; &#1585;&#1575; &#1579;&#1576;&#1578;
&#1606;&#1605;&#1575;&#1740;&#1740;&#1583;.','eshop').'</small><br />
      <input class="button submit2" type="submit" id="ppsubmit" name="ppsubmit" value="'.__('&#1585;&#1601;&#1578;&#1606; &#1576;&#1585;&#1575;&#1740;
&#1576;&#1585;&#1587;&#1740; &raquo;','eshop').'" /></label>';
	  $echo.="</div></form>\n";
      
      return $echo;
   }
	function eshop_submit_cash_post($_POST) {
      // The user will briefly see a message on the screen that reads:
      // "Please wait, your order is being processed..." and then immediately
      // is redirected to cash.
      $cash = get_option('eshop_cash');
		$echortn ='<div id="process">
         <p><strong>'. __(' &#1589;&#1576;&#1585; &#1705;&#1606;&#1740;&#1583; &#1578;&#1575; &#1587;&#1601;&#1575;&#1585;&#1588;
&#1588;&#1605;&#1575; &#1576;&#1607; &#1579;&#1576;&#1578; &#1576;&#1585;&#1587;&#1583;&#8230;','eshop').'</strong></p>
	     <p>'. __('If you are not automatically redirected, please use the <em>Proceed</em> button.','eshop').'</p>
         <form method="post" id="eshopgateway" class="eshop" action="'.$this->cash_url.'">
          <p>';
          	$replace = array("&#039;","'", "\"","&quot;","&amp;","&");
			$cash = get_option('eshop_cash'); 
			$refid=$_POST['RefNr'];
			$echortn .='<input type="hidden" name="BuyerEmail" value="'.$_POST['email'].'" />
			<input type="hidden" name="BuyerFirstName" value="'.$_POST['first_name'].'" />
			<input type="hidden" name="BuyerLastName" value="'.$_POST['last_name'].'" />
			<input type="hidden" name="RefNr" value="'.$refid.'" />
         <input class="button" type="submit" id="ppsubmit" name="ppsubmit" value="'. __('Proceed &raquo;','eshop').'" /></p>
	     </form>
	  </div>';
		return $echortn;
   }   
}   