<?php
//* Persian Script By 20script.ir*//

if ('eshop-install.php' == basename($_SERVER['SCRIPT_FILENAME']))
     die ('<h2>Direct File Access Prohibited</h2>');

if (file_exists(ABSPATH . 'wp-admin/includes/upgrade.php')) {
    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
} else {
    require_once(ABSPATH . 'wp-admin/upgrade-functions.php');
}

if(!eshop_create_dirs()){
	deactivate_plugins('eshop/eshop.php'); //Deactivate ourself
	wp_die(__('ERROR! eShop requires that the wp_content directory is writable before the plugin can be activated.','eshop')); 
}

/** create capability */
if (!function_exists('eshop_caps')) {
    /**
     * installation routine to set up tables
     */
    function eshop_caps() {
        global $wpdb, $user_level, $wp_rewrite, $wp_version;
			$role = get_role('administrator');
			if ($role !== NULL){
				$role->add_cap('eShop');
				$role->add_cap('eShop_admin');
			}
			$role = get_role('editor');
			if ($role !== NULL)
				$role->add_cap('eShop');
    }
}
eshop_caps();

/***
* default options(mainly for settings) go here
*/
add_option('eshop_style', 'yes');
add_option('eshop_records','10');
add_option('eshop_options_num','3');
add_option('eshop_downloads_num','3');
add_option('eshop_cart_nostock','Out of Stock');
add_option('eshop_status', 'testing');
add_option('eshop_currency_symbol','&pound;');
add_option('eshop_currency','GBP');
add_option('eshop_location','GB');
add_option('eshop_shipping', '1');
add_option('eshop_shipping_zone', 'country');
add_option('eshop_shipping_state', 'GB');
add_option('eshop_unknown_state', '5');
add_option('eshop_show_zones','no');
add_option('eshop_credits', 'yes');
add_option('eshop_stock_control','no');
add_option('eshop_show_stock','no');
add_option('eshop_first_time', 'yes');
add_option('eshop_downloads_only', 'no');
add_option('eshop_search_img', 'no');
add_option('eshop_fold_menu', 'yes');
add_option('eshop_downloads_hideall','no');
add_option('eshop_show_sku','no');
add_option('eshop_hide_addinfo','');
add_option('eshop_hide_shipping','');
//new for 3.
if ( get_option('eshop_version')=='' || get_option('eshop_version') < '3.1.9' ){
	delete_option('eshop_sudo_cat');
	delete_option('eshop_random_num');
	delete_option('eshop_pagelist_num');
}

//new for 2.14.x
if ( get_option('eshop_version')=='' || get_option('eshop_version') < '2.13.9' )
	delete_option('eshop_method','paypal','sb24');

add_option('eshop_method',array('paypal','sb24'));


$table = $wpdb->prefix . "eshop_states";
//new for 2.13.0
if ( get_option('eshop_version')=='' || get_option('eshop_version') < '2.12.9' )
	$wpdb->query("DROP TABLE $table");
	
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
   			id INT NOT NULL AUTO_INCREMENT,
		  	code char(4) NOT NULL default '',
			stateName varchar(30) NOT NULL default '',
			zone tinyint(1) NOT NULL default '0',
			list char(2) NOT NULL default '',
			  PRIMARY KEY  (id),
			KEY zone (zone)
			) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
	$wpdb->query("INSERT INTO ".$table." (code,stateName,&#1605;&#1606;&#1591;&#1602;&#1607;,list) VALUES  
	('SR', 'saravan', 1,'rls'),
	('TH', 'tehran', 1,'rls'),
	('AK', 'Alaska', 5,'US'),
	('HI', 'Hawaii', 5,'US'),
	('AL', 'Alabama', 2,'US'),
	('AZ', 'Arizona', 4,'US'),
	('AR', 'Arkansas', 3,'US'),
	('CA', 'California', 5,'US'),
	('CO', 'Colorado', 4,'US'),
	('CT', 'Connecticut', 1,'US'),
	('DE', 'Delaware', 2,'US'),
	('DC', 'District Of Columbia', 2,'US'),
	('FL', 'Florida', 2,'US'),
	('GA', 'Georgia', 2,'US'),
	('ID', 'Idaho', 4,'US'),
	('IL', 'Illinois', 3,'US'),
	('IN', 'Indiana', 2,'US'),
	('IA', 'Iowa', 3,'US'),
	('KS', 'Kansas', 3,'US'),
	('KY', 'Kentucky', 2,'US'),
	('LA', 'Louisiana', 3,'US'),
	('ME', 'Maine', 1,'US'),
	('MD', 'Maryland', 2,'US'),
	('MA', 'Massachusetts', 1,'US'),
	('MI', 'Michigan', 2,'US'),
	('MN', 'Minnesota', 3,'US'),
	('MS', 'Mississippi', 3,'US'),
	('MO', 'Missouri', 3,'US'),
	('MT', 'Montana', 4,'US'),
	('NE', 'Nebraska', 3,'US'),
	('NV', 'Nevada', 5,'US'),
	('NH', 'New Hampshire', 1,'US'),
	('NJ', 'New Jersey', 2,'US'),
	('NM', 'New Mexico', 4,'US'),
	('NY', 'New York', 2,'US'),
	('NC', 'North Carolina', 2,'US'),
	('ND', 'North Dakota', 3,'US'),
	('OH', 'Ohio', 2,'US'),
	('OK', 'Oklahoma', 3,'US'),
	('OR', 'Oregon', 5,'US'),
	('PA', 'Pennsylvania', 2,'US'),
	('RI', 'Rhode Island', 1,'US'),
	('SC', 'South Carolina', 2,'US'),
	('SD', 'South Dakota', 3,'US'),
	('TN', 'Tennessee', 3,'US'),
	('TX', 'Texas', 3,'US'),
	('UT', 'Utah', 4,'US'),
	('VT', 'Vermont', 1,'US'),
	('VA', 'Virginia', 2,'US'),
	('WA', 'Washington', 5,'US'),
	('WV', 'West Virginia', 2,'US'),
	('WI', 'Wisconsin', 3,'US'),
	('WY', 'Wyoming', 4,'US'),
	('AB', 'Alberta', 3,'CA'),
	('BC', 'British Columbia', 3,'CA'),
	('MB', 'Manitoba', 3,'CA'),
	('NB', 'New Brunswick', 3,'CA'),
	('NL', 'Newfoundland & Labrador', 3,'CA'),
	('NT', 'Northwest Territories', 3,'CA'),
	('NU', 'Nunavut', 3,'CA'),
	('NS', 'Nova Scotia', 3,'CA'),
	('ON', 'Ontario', 3,'CA'),
	('PE', 'Prince Edward Island', 3,'CA'),
	('QC', 'Quebec', 3,'CA'),
	('SK', 'Saskatchewan', 3,'CA'),
	('YU', 'Yukon', 3,'CA'),
	('Lond','London', 1,'GB'),
	('Beds','Bedfordshire', 1,'GB'),
	('Buck','Buckinghamshire', 1,'GB'),
	('Camb','Cambridgeshire', 1,'GB'),
	('Ches','Cheshire', 1,'GB'),
	('Corn','Cornwall and Isles of Scilly', 1,'GB'),
	('Cumb','Cumbria', 1,'GB'),
	('Derb','Derbyshire', 1,'GB'),
	('Dev','Devon', 1,'GB'),
	('Dors','Dorset', 1,'GB'),
	('Durh','Durham', 1,'GB'),
	('ESus','East Sussex', 1,'GB'),
	('Esse','Essex', 1,'GB'),
	('Glos','Gloucestershire', 1,'GB'),
	('GL','Greater London', 1,'GB'),
	('GM','Greater Manchester', 1,'GB'),
	('Hamp','Hampshire', 1,'GB'),
	('Hert','Hertfordshire', 1,'GB'),
	('Kent','Kent', 1,'GB'),
	('Lanc','Lancashire', 1,'GB'),
	('Leic','Leicestershire', 1,'GB'),
	('Linc','Lincolnshire', 1,'GB'),
	('Mers','Merseyside', 1,'GB'),
	('Norf','Norfolk', 1,'GB'),
	('NYor','North Yorkshire', 1,'GB'),
	('Nort','Northamptonshire', 1,'GB'),
	('Norh','Northumberland', 1,'GB'),
	('Nott','Nottinghamshire', 1,'GB'),
	('Ox','Oxfordshire', 1,'GB'),
	('Shrp','Shropshire', 1,'GB'),
	('Som','Somerset', 1,'GB'),
	('SYor','South Yorkshire', 1,'GB'),
	('Staf','Staffordshire', 1,'GB'),
	('Suff','Suffolk', 1,'GB'),
	('Surr','Surrey', 1,'GB'),
	('Tyne','Tyne and Wear', 1,'GB'),
	('Warw','Warwickshire', 1,'GB'),
	('WMid','West Midlands', 1,'GB'),
	('WSus','West Sussex', 1,'GB'),
	('WYor','West Yorkshire', 1,'GB'),
	('Wilt','Wiltshire', 1,'GB'),
	('Worc','Worcestershire', 1,'GB'),
	('Flin','Flintshire', 1,'GB'),
	('Glam','Glamorgan', 1,'GB'),
	('Meri','Merionethshire', 1,'GB'),
	('Mon','Monmouthshire', 1,'GB'),
	('Mont','Montgomeryshire', 1,'GB'),
	('Pemb','Pembrokeshire', 1,'GB'),
	('Radn','Radnorshire', 1,'GB'),
	('Angl','Anglesey', 1,'GB'),
	('Brec','Breconshire', 1,'GB'),
	('Caer','Caernarvonshire', 1,'GB'),
	('Card','Cardiganshire', 1,'GB'),
	('Carm','Carmarthenshire', 1,'GB'),
	('Denb','Denbighshire', 1,'GB'),
	('Kirk','Kirkcudbrightshire', 1,'GB'),
	('Lana','Lanarkshire', 1,'GB'),
	('Midl','Midlothian', 1,'GB'),
	('Mora','Moray', 1,'GB'),
	('Nair','Nairnshire', 1,'GB'),
	('Orkn','Orkney', 1,'GB'),
	('Peeb','Peebleshire', 1,'GB'),
	('Pert','Perthshire', 1,'GB'),
	('Renf','Renfrewshire', 1,'GB'),
	('Ross','Ross &amp; Cromarty', 1,'GB'),
	('Roxb','Roxburghshire', 1,'GB'),
	('Selk','Selkirkshire', 1,'GB'),
	('Shet','Shetland', 1,'GB'),
	('Stir','Stirlingshire', 1,'GB'),
	('Suth','Sutherland', 1,'GB'),
	('WLot','West Lothian', 1,'GB'),
	('Wigt','Wigtownshire', 1,'GB'),
	('Aber','Aberdeenshire', 1,'GB'),
	('Angu','Angus', 1,'GB'),
	('Argy','Argyll', 1,'GB'),
	('Ayrs','Ayrshire', 1,'GB'),
	('Banf','Banffshire', 1,'GB'),
	('Berw','Berwickshire', 1,'GB'),
	('Bute','Bute', 1,'GB'),
	('Cait','Caithness', 1,'GB'),
	('Clac','Clackmannanshire', 1,'GB'),
	('Dumf','Dumfriesshire', 1,'GB'),
	('Dumb','Dumbartonshire', 1,'GB'),
	('ELot','East Lothian', 1,'GB'),
	('Fife','Fife', 1,'GB'),
	('Inve','Inverness', 1,'GB'),
	('Kinc','Kincardineshire', 1,'GB'),
	('Kinr','Kinross-shire', 1,'GB')
	;");
}
$table = $wpdb->prefix . "eshop_shipping_rates";
if ($wpdb->get_var("show tables like '$table'") != $table) {
   $sql = "CREATE TABLE ".$table." (
   	id INT NOT NULL AUTO_INCREMENT,
	class char(1) NOT NULL default '',
	items SMALLINT( 2 ) NOT NULL default '0',
	zone1 float(6,2) NOT NULL default '0.00',
	zone2 float(6,2) NOT NULL default '0.00',
	zone3 float(6,2) NOT NULL default '0.00',
	zone4 float(6,2) NOT NULL default '0.00',
	zone5 float(6,2) NOT NULL default '0.00',
	  PRIMARY KEY  (id)
	) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);

	$wpdb->query("INSERT INTO ".$table."(class,items,&#1605;&#1606;&#1591;&#1602;&#1607;1,&#1605;&#1606;&#1591;&#1602;&#1607;2,&#1605;&#1606;&#1591;&#1602;&#1607;3,&#1605;&#1606;&#1591;&#1602;&#1607;4,&#1605;&#1606;&#1591;&#1602;&#1607;5) VALUES 
	('A',1, 10.00, 15.00, 20.00, 25.00, 30.00),
	('B',1, 15.00, 20.00, 30.00, 40.00, 50.00),
	('C',1, 40.00, 45.00, 50.00, 50.00, 50.00),
	('D',1, 30.00, 35.00, 40.00, 40.00, 40.00),
	('E',1, 50.00, 60.00, 70.00, 80.00, 90.00),
	('A',2, 5.00, 8.00, 10.00, 15.00, 10.00),
	('B',2, 7.00, 10.00, 20.00, 20.00, 15.00),
	('C',2, 20.00, 25.00, 40.00, 25.00, 20.00),
	('D',2, 15.00, 25.00, 30.00, 20.00, 25.00),
	('E',2, 25.00, 30.00, 60.00, 40.00, 30.00);");
}

$table = $wpdb->prefix . "eshop_order_items";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
	id int(11) NOT NULL auto_increment,
	checkid varchar(255) NOT NULL default '',
	item_id varchar(255) NOT NULL default '0',
	item_qty int(11) NOT NULL default '0',
	item_amt float(8,2) NOT NULL default '0.00',
	optname varchar(255) NOT NULL default '',
	optsets text NOT NULL,
	post_id int(11) NOT NULL default '0',
	down_id int(11) NOT NULL default '0',
	  PRIMARY KEY  (id),
	KEY custom_field (checkid)
	) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
}

$table = $wpdb->prefix . "eshop_orders";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
	id int(11) NOT NULL auto_increment,
	checkid varchar(255) NOT NULL default '',
	status set('Sent','Completed','Pending','Failed','Deleted','Waiting') NOT NULL default 'Pending',
	first_name varchar(50) NOT NULL default '',
	last_name varchar(50) NOT NULL default '',
	company varchar(255) NOT NULL default '',
	email varchar(100) NOT NULL default '',
	phone varchar(30) NOT NULL default '',
	address1 varchar(255) NOT NULL default '',
	address2 varchar(255) NOT NULL default '',
	city varchar(100) NOT NULL default '',
	state varchar(100) NOT NULL default '',
	zip varchar(20) NOT NULL default '',
	country varchar(3) NOT NULL default '',
	reference varchar(255) NOT NULL default '',
	ship_name varchar(100) NOT NULL default '',
	ship_company varchar(255) NOT NULL default '',
	ship_phone varchar(30) NOT NULL default '',
	ship_address varchar(255) NOT NULL default '',
	ship_city varchar(100) NOT NULL default '',
	ship_state varchar(100) NOT NULL default '',
	ship_postcode varchar(20) NOT NULL default '',
	ship_country varchar(3) NOT NULL default '',
	custom_field varchar(15) NOT NULL default '',
	transid varchar(255) NOT NULL default '',
	comments text NOT NULL,
	thememo text NOT NULL,
	edited datetime NOT NULL default '0000-00-00 00:00:00',
	downloads set('yes','no') NOT NULL default 'no',
	admin_note TEXT NOT NULL,
	paidvia VARCHAR(255) NOT NULL default '',
	  PRIMARY KEY  (id),
	KEY custom_field (checkid),
	KEY status (status)
	) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
}

$table = $wpdb->prefix ."eshop_stock";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
	  id int(11) NOT NULL auto_increment,
	  post_id int(11) NOT NULL default '0',
	  available int(11) NOT NULL default '0',
	  purchases int(11) NOT NULL default '0',
	    PRIMARY KEY  (id),
	  KEY post_id (post_id,available,purchases)
	) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
}

$table = $wpdb->prefix ."eshop_downloads";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
	  id int(11) NOT NULL auto_increment,
	  title varchar(255) NOT NULL default '',
	  added datetime NOT NULL default '0000-00-00 00:00:00',
	  files varchar(255) NOT NULL default '',
	  downloads int(11) NOT NULL default '0',
	  purchases int(11) NOT NULL default '0',
	    PRIMARY KEY  (id)
			) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
}
$table = $wpdb->prefix ."eshop_download_orders";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
	  	id int(11) NOT NULL auto_increment,
	  	checkid varchar(255) NOT NULL default '',
		title varchar(255) NOT NULL default '',
		purchased datetime NOT NULL default '0000-00-00 00:00:00',
		files varchar(255) NOT NULL default '',
		downloads smallint(1) NOT NULL default '3',
		code varchar(20) NOT NULL default '',
		email varchar(255) NOT NULL default '',
		  PRIMARY KEY  (id),
		KEY code (code,email)
		) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
}

$table = $wpdb->prefix . "eshop_countries";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
		code char(2) NOT NULL default '',
		country varchar(50) NOT NULL default '',
		zone tinyint(1) NOT NULL default '0',
		list tinyint(1) NOT NULL default '1',
		  PRIMARY KEY  (code),
		KEY zone (zone)
		) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
	$wpdb->query("INSERT INTO ".$table." (code,country,zone) VALUES  
		('AD', 'Andorra', 1),
		('AE', 'United Arab Emirates', 2),
		('AG', 'Antigua and Barbuda', 2),
		('AI', 'Anguilla', 2),
		('AL', 'Albania', 1),
		('AM', 'Armenia', 1),
		('AN', 'Netherlands Antilles', 2),
		('AO', 'Angola', 2),
		('AR', 'Argentina', 2),
		('AT', 'Austria', 1),
		('AU', 'Australia', 3),
		('AW', 'Aruba', 2),
		('AZ', 'Azerbaijan Republic', 1),
		('BA', 'Bosnia and Herzegovina', 1),
		('BB', 'Barbados', 2),
		('BE', 'Belgium', 1),
		('BF', 'Burkina Faso', 2),
		('BG', 'Bulgaria', 1),
		('BH', 'Bahrain', 2),
		('BI', 'Burundi', 2),
		('BJ', 'Benin', 2),
		('BM', 'Bermuda', 2),
		('BN', 'Brunei', 2),
		('BO', 'Bolivia', 2),
		('BR', 'Brazil', 2),
		('BS', 'Bahamas', 2),
		('BT', 'Bhutan', 2),
		('BW', 'Botswana', 2),
		('BZ', 'Belize', 2),
		('CA', 'Canada', 2),
		('CD', 'Democratic Republic of the Congo', 2),
		('CG', 'Republic of the Congo', 2),
		('CH', 'Switzerland', 1),
		('CK', 'Cook Islands', 3),
		('CL', 'Chile', 2),
		('CN', 'China', 3),
		('CO', 'Colombia', 2),
		('CR', 'Costa Rica', 2),
		('CV', 'Cape Verde', 2),
		('CY', 'Cyprus', 1),
		('CZ', 'Czech Republic', 1),
		('DE', 'Germany', 1),
		('DJ', 'Djibouti', 2),
		('DK', 'Denmark', 1),
		('DM', 'Dominica', 2),
		('DO', 'Dominican Republic', 2),
		('DZ', 'Algeria', 2),
		('EC', 'Ecuador', 2),
		('EE', 'Estonia', 1),
		('ER', 'Eritrea', 2),
		('ES', 'Spain', 1),
		('ET', 'Ethiopia', 2),
		('FI', 'Finland', 1),
		('FJ', 'Fiji', 3),
		('FK', 'Falkland Islands', 2),
		('FM', 'Federated States of Micronesia', 3),
		('FO', 'Faroe Islands', 1),
		('FR', 'France', 1),
		('GA', 'Gabon Republic', 2),
		('GB', 'United Kingdom', 1),
		('GD', 'Grenada', 2),
		('GF', 'French Guiana', 2),
		('GI', 'Gibraltar', 1),
		('GL', 'Greenland', 1),
		('GM', 'Gambia', 2),
		('GN', 'Guinea', 2),
		('GP', 'Guadeloupe', 3),
		('GR', 'Greece', 1),
		('GT', 'Guatemala', 2),
		('GW', 'Guinea Bissau', 2),
		('GY', 'Guyana', 2),
		('HK', 'Hong Kong', 2),
		('HN', 'Honduras', 2),
		('HR', 'Croatia', 1),
		('HU', 'Hungary', 1),
		('ID', 'Indonesia', 2),
		('IE', 'Ireland', 1),
		('IL', 'Israel', 2),
		('IN', 'India', 2),
		('IR', 'IRAN', 2),
		('IS', 'Iceland', 1),
		('IT', 'Italy', 1),
		('JM', 'Jamaica', 2),
		('JO', 'Jordan', 2),
		('JP', 'Japan', 3),
		('KE', 'Kenya', 2),
		('KG', 'Kyrgyzstan', 1),
		('KH', 'Cambodia', 2),
		('KI', 'Kiribati', 3),
		('KM', 'Comoros', 2),
		('KN', 'St. Kitts and Nevis', 2),
		('KR', 'South Korea', 3),
		('KW', 'Kuwait', 2),
		('KY', 'Cayman Islands', 2),
		('KZ', 'Kazakhstan', 1),
		('LA', 'Laos', 3),
		('LC', 'St. Lucia', 2),
		('LI', 'Liechtenstein', 1),
		('LK', 'Sri Lanka', 2),
		('LS', 'Lesotho', 2),
		('LT', 'Lithuania', 1),
		('LU', 'Luxembourg', 1),
		('LV', 'Latvia', 1),
		('MA', 'Morocco', 2),
		('MG', 'Madagascar', 2),
		('MH', 'Marshall Islands', 3),
		('ML', 'Mali', 2),
		('MN', 'Mongolia', 3),
		('MQ', 'Martinique', 3),
		('MR', 'Mauritania', 2),
		('MS', 'Montserrat', 2),
		('MT', 'Malta', 1),
		('MU', 'Mauritius', 2),
		('MV', 'Maldives', 2),
		('MW', 'Malawi', 2),
		('MX', 'Mexico', 2),
		('MY', 'Malaysia', 2),
		('MZ', 'Mozambique', 2),
		('NA', 'Namibia', 2),
		('NC', 'New Caledonia', 3),
		('NE', 'Niger', 2),
		('NF', 'Norfolk Island', 3),
		('NI', 'Nicaragua', 2),
		('NL', 'Netherlands', 1),
		('NO', 'Norway', 1),
		('NP', 'Nepal', 2),
		('NR', 'Nauru', 3),
		('NU', 'Niue', 3),
		('NZ', 'New Zealand', 3),
		('OM', 'Oman', 2),
		('PA', 'Panama', 2),
		('PE', 'Peru', 2),
		('PF', 'French Polynesia', 3),
		('PG', 'Papua New Guinea', 3),
		('PH', 'Philippines', 3),
		('PL', 'Poland', 1),
		('PM', 'St. Pierre and Miquelon', 2),
		('PN', 'Pitcairn Islands', 3),
		('PT', 'Portugal', 1),
		('PW', 'Palau', 3),
		('QA', 'Qatar', 2),
		('RE', 'Reunion', 2),
		('RO', 'Romania', 1),
		('RU', 'Russia', 1),
		('RW', 'Rwanda', 2),
		('SA', 'Saudi Arabia', 2),
		('SB', 'Solomon Islands', 3),
		('SC', 'Seychelles', 2),
		('SE', 'Sweden', 1),
		('SG', 'Singapore', 2),
		('SH', 'St. Helena', 2),
		('SI', 'Slovenia', 1),
		('SJ', 'Svalbard and Jan Mayen Islands', 3),
		('SK', 'Slovakia', 1),
		('SL', 'Sierra Leone', 2),
		('SM', 'San Marino', 1),
		('SN', 'Senegal', 2),
		('SO', 'Somalia', 2),
		('SR', 'Suriname', 2),
		('ST', 'Sao Tome and Principe', 2),
		('SV', 'El Salvador', 2),
		('SZ', 'Swaziland', 2),
		('TC', 'Turks and Caicos Islands', 2),
		('TD', 'Chad', 2),
		('TG', 'Togo', 2),
		('TH', 'Thailand', 2),
		('TJ', 'Tajikistan', 1),
		('TM', 'Turkmenistan', 1),
		('TN', 'Tunisia', 2),
		('TO', 'Tonga', 3),
		('TR', 'Turkey', 1),
		('TT', 'Trinidad and Tobago', 2),
		('TV', 'Tuvalu', 3),
		('TW', 'Taiwan', 3),
		('TZ', 'Tanzania', 2),
		('UA', 'Ukraine', 1),
		('UG', 'Uganda', 2),
		('US', 'United States', 2),
		('UY', 'Uruguay', 2),
		('VA', 'Vatican City State', 1),
		('VC', 'Saint Vincent and the Grenadines', 2),
		('VE', 'Venezuela', 2),
		('VG', 'British Virgin Islands', 2),
		('VN', 'Vietnam', 2),
		('VU', 'Vanuatu', 3),
		('WF', 'Wallis and Futuna Islands', 3),
		('WS', 'Samoa', 3),
		('YE', 'Yemen', 2),
		('YT', 'Mayotte', 3),
		('ZA', 'South Africa', 2),
		('ZM', 'Zambia', 2);");
}
$table = $wpdb->prefix ."eshop_base_products";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
	  post_id bigint(20) NOT NULL default '0',
	  img text NOT NULL,
	  brand varchar(255) NOT NULL default '',
	  ptype varchar(255) NOT NULL default '',
	  thecondition varchar(255) NOT NULL default '',
	  expiry date NOT NULL default '0000-00-00',
	  ean varchar(255) NOT NULL default '',
	  isbn varchar(255) NOT NULL default '',
	  mpn varchar(255) NOT NULL default '',
	  qty int(5) NOT NULL default '0',
	  xtra text NOT NULL,
	  PRIMARY KEY  (post_id)
	) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
}
$table = $wpdb->prefix ."eshop_discount_codes";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
	  id int(11) NOT NULL auto_increment,
	  dtype tinyint(1) NOT NULL default '0',
	  disccode varchar(255) NOT NULL default '',
	  percent mediumint(5) NOT NULL default '0',
	  remain varchar(11) NOT NULL default '',
	  used int(11) NOT NULL default '0',
	  enddate date NOT NULL default '0000-00-00',
	  live char(3) NOT NULL default 'no',
	  PRIMARY KEY  (id),
	  UNIQUE KEY disccode (disccode)
	) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
}
$table = $wpdb->prefix ."eshop_admin_takvista";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
	  id int(11) NOT NULL auto_increment,
	  dtype tinyint(1) NOT NULL default '0',
	  disccode varchar(255) NOT NULL default '',
	  percent mediumint(5) NOT NULL default '0',
	  remain varchar(11) NOT NULL default '',
	  used int(11) NOT NULL default '0',
	  enddate date NOT NULL default '0000-00-00',
	  live char(3) NOT NULL default 'no',
	  PRIMARY KEY  (id),
	  UNIQUE KEY disccode (disccode)
	) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
}
//new for 4.0.0
$table = $wpdb->prefix . "eshop_option_sets";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
	id int(11) NOT NULL auto_increment,
	optid int(11) NOT NULL default '0',
	name varchar(255) NOT NULL default '',
	price float(8,2) NOT NULL default '0.00',
	weight float(8,2) NOT NULL default '0.00',
	  PRIMARY KEY  (id)
	) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
}
$table = $wpdb->prefix . "eshop_option_names";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
	optid int(11) NOT NULL auto_increment,
	name varchar(255) NOT NULL default '',
	type tinyint(1) NOT NULL default '0',
	  PRIMARY KEY  (optid)
	) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
}


$table = $wpdb->prefix ."eshop_emails";
if ($wpdb->get_var("show tables like '$table'") != $table) {
	$sql = "CREATE TABLE ".$table." (
		`id` INT NOT NULL AUTO_INCREMENT ,
		`emailUse` tinyint(1) NOT NULL default '0',
		`emailType` VARCHAR( 50 ) NOT NULL ,
		`emailSubject` VARCHAR( 255 ) NOT NULL ,
		`emailContent` TEXT NOT NULL ,
		PRIMARY KEY ( `id` )
		) $charset_collate;";
	error_log("creating table $table");
	dbDelta($sql);
	//enter new defauts:
	$esubject=__('Your order from ','eshop').get_bloginfo('name');
	$emailfile='
[AUTO-RESPONSE - PLEASE DO NOT REPLY]

Dear {FIRSTNAME},

&#1587;&#1601;&#1575;&#1585;&#1588; &#1588;&#1605;&#1575; &#1583;&#1585;&#1740;&#1575;&#1601;&#1578; &#1588;&#1583; &#1605;&#1578;&#1588;&#1705;&#1585;&#1605; &#1583;&#1608;&#1587;&#1578; &#1593;&#1586;&#1740;&#1586; ! &#1580;&#1586;&#1740;&#1740;&#1575;&#1578; &#1587;&#1601;&#1575;&#1585;&#1588; &#1582;&#1608;&#1583; &#1585;&#1575; &#1662;&#1740;&#1711;&#1740;&#1585;&#1740; &#1606;&#1605;&#1575;&#1740;&#1740;&#1583; ...

--------------- &nbsp;&#1580;&#1586;&#1740;&#1740;&#1575;&#1578;&#1587;&#1601;&#1575;&#1585;&#1588;---------------

{&#1608;&#1590;&#1593;&#1740;&#1578;}
{&#1705;&#1575;&#1585;&#1578;}


---------------&#1580;&#1586;&#1740;&#1740;&#1575;&#1578; &#1583;&#1575;&#1606;&#1604;&#1608;&#1583; ---------------
&#1575;&#1740;&#1606; &#1607;&#1575; &#1576;&#1585;&#1575;&#1740; &#1583;&#1575;&#1606;&#1604;&#1608;&#1583; &#1601;&#1593;&#1575;&#1604; &#1607;&#1587;&#1578;&#1606;&#1583; &#1575;&#1586; &#1591;&#1585;&#1740;&#1602; :
{&#1583;&#1575;&#1606;&#1604;&#1608;&#1583; &#1607;&#1575;}


--------------- &#1580;&#1586;&#1740;&#1740;&#1575;&#1578; &#1601;&#1585;&#1608;&#1588;&#1606;&#1583;&#1607; ---------------

{&#1606;&#1575;&#1605;}
{&#1575;&#1583;&#1585;&#1587;}

--------------- &#1580;&#1586;&#1740;&#1740;&#1575;&#1578; &#1578;&#1605;&#1575;&#1587;  ---------------

{&#1578;&#1605;&#1575;&#1587;}

--------------- &#1587;&#1575;&#1740;&#1585; &#1575;&#1591;&#1604;&#1575;&#1593;&#1575;&#1578; (&#1575;&#1711;&#1585; &#1602;&#1575;&#1576;&#1604; &#1575;&#1580;&#1585;&#1575; &#1576;&#1575;&#1588;&#1606;&#1583;) ---------------

{REFCOMM}
---

&#1575;&#1711;&#1585; &#1588;&#1605;&#1575; &#1587;&#1608;&#1575;&#1604;&#1740; &#1583;&#1585; &#1575;&#1740;&#1606; &#1585;&#1575;&#1576;&#1591;&#1607; &#1583;&#1575;&#1585;&#1740;&#1583; &#1576;&#1575; &#1605;&#1575; &#1578;&#1605;&#1575;&#1587; &#1576;&#1711;&#1740;&#1585;&#1740;&#1583;.
&#1575;&#1586; &#1575;&#1587;&#1578;&#1601;&#1575;&#1583;&#1607; &#1608; &#1587;&#1601;&#1575;&#1585;&#1588; &#1588;&#1605;&#1575; &#1605;&#1578;&#1588;&#1705;&#1585;&#1740;&#1605;.';
	$wpdb->query("INSERT INTO ".$table." (&#1575;&#1587;&#1578;&#1601;&#1575;&#1583;&#1607; &#1575;&#1740;&#1605;&#1740;&#1604;,&#1606;&#1608;&#1593; &#1575;&#1740;&#1605;&#1740;&#1604;, &#1605;&#1608;&#1590;&#1608;&#1593; &#1575;&#1740;&#1605;&#1740;&#1604;,&#1605;&#1581;&#1578;&#1608;&#1575;&#1740; &#1606;&#1575;&#1605;&#1607;) VALUES ('1','&#1575;&#1740;&#1605;&#1740;&#1604; &#1582;&#1608;&#1583;&#1705;&#1575;&#1585; &#1662;&#1740;&#1588;&#1601;&#1585;&#1590;','$esubject','$emailfile')"); 
	$esubject=get_bloginfo('name').__(' Notification','eshop');
	$emailfile='
[&#1575;&#1585;&#1578;&#1576;&#1575;&#1591; &#1608;&#1740;&#1688;&#1607; / &#1575;&#1711;&#1575;&#1607; &#1587;&#1575;&#1586;&#1740;]

Dear {&#1575;&#1587;&#1605; &#1575;&#1589;&#1604;&#1740;},

*** &#1662;&#1740;&#1594;&#1575;&#1605; &#1605;&#1583; &#1606;&#1592;&#1585; &#1582;&#1608;&#1583; &#1585;&#1575; &#1608;&#1575;&#1585;&#1583; &#1606;&#1605;&#1575;&#1740;&#1740;&#1583; ***

Respectfully,
*** Enter your name, title, and email here ***



--------------- &#1580;&#1586;&#1740;&#1740;&#1575;&#1578; &#1587;&#1601;&#1575;&#1585;&#1588; ---------------

{&#1608;&#1590;&#1593;&#1740;&#1578;}
{&#1705;&#1575;&#1585;&#1578;}

--------------- &#1580;&#1586;&#1740;&#1740;&#1575;&#1578; &#1583;&#1575;&#1606;&#1604;&#1608;&#1583; ---------------
&#1575;&#1740;&#1606; &#1711;&#1586;&#1740;&#1606;&#1607; &#1607;&#1575; &#1601;&#1593;&#1575;&#1604; &#1607;&#1587;&#1578;&#1606;&#1583; &#1578;&#1608;&#1587;&#1591;:
{&#1583;&#1575;&#1606;&#1604;&#1608;&#1583; &#1607;&#1575;}

--------------- &#1580;&#1586;&#1740;&#1740;&#1575;&#1578; &#1601;&#1585;&#1608;&#1588;&#1606;&#1583;&#1607; ---------------

{&#1606;&#1575;&#1605;}
{&#1575;&#1583;&#1585;&#1587;}

--------------- &#1580;&#1586;&#1740;&#1740;&#1575;&#1578; &#1578;&#1605;&#1575;&#1587; ---------------

{&#1578;&#1605;&#1575;&#1587;}

--------------- &#1587;&#1575;&#1740;&#1585; &#1575;&#1591;&#1604;&#1575;&#1593;&#1575;&#1578;(&#1575;&#1711;&#1585; &#1602;&#1575;&#1576;&#1604; &#1575;&#1580;&#1585;&#1575; &#1576;&#1575;&#1588;&#1606;&#1583;) ---------------

{REFCOMM}
---

If you have questions or concerns, please contact us.
Again, thank you for ordering with us.
';
	$wpdb->query("INSERT INTO ".$table." (&#1575;&#1740;&#1605;&#1740;&#1604; &#1605;&#1608;&#1585;&#1583; &#1575;&#1587;&#1578;&#1601;&#1575;&#1583;&#1607;,&#1606;&#1608;&#1593; &#1575;&#1740;&#1605;&#1740;&#1604;,&#1605;&#1608;&#1590;&#1608;&#1593; &#1606;&#1575;&#1605;&#1607;,&#1605;&#1581;&#1578;&#1608;&#1575;&#1740; &#1606;&#1575;&#1605;&#1607;) VALUES ('1','&#1601;&#1585;&#1605; &#1587;&#1601;&#1575;&#1585;&#1588; &#1575;&#1740;&#1605;&#1740;&#1604; &#1605;&#1583;&#1740;&#1585;','$esubject','$emailfile')"); 
	//payment option emails
	$esubject=__('Your order from  ','eshop').get_bloginfo('name');
	$wpdb->query("INSERT INTO ".$table." (emailType,emailSubject) VALUES ('Automatic Paypal email','$esubject')"); 
	$wpdb->query("INSERT INTO ".$table." (emailType,emailSubject) VALUES ('Automatic sb24 email','$esubject')"); 
	$wpdb->query("INSERT INTO ".$table." (emailType,emailSubject) VALUES ('Automatic Payson email','$esubject')"); 
	$wpdb->query("INSERT INTO ".$table." (emailType,emailSubject) VALUES ('Automatic Cash email','$esubject')"); 
}
//additions
$esubject=__('&#1601;&#1585;&#1605; &#1587;&#1601;&#1575;&#1585;&#1588;&#1578;&#1575;&#1606; ','eshop').get_bloginfo('name');
if($wpdb->get_var("select emailType from ".$table." where emailtype='Automatic ePN email' limit 1")!='Automatic ePN email')
	$wpdb->query("INSERT INTO ".$table." (emailType,emailSubject) VALUES ('Automatic ePN email','$esubject')");
	if($wpdb->get_var("select emailType from ".$table." where emailtype='Automatic sb24 email' limit 1")!='Automatic sb24 email')
	$wpdb->query("INSERT INTO ".$table." (emailType,emailSubject) VALUES ('Automatic ePN email','$esubject')");
if($wpdb->get_var("select emailType from ".$table." where emailtype='Automatic webtopay email' limit 1")!='Automatic webtopay email')
	$wpdb->query("INSERT INTO ".$table." (emailType,emailSubject) VALUES ('Automatic webtopay email','$esubject')"); 

if($wpdb->get_var("select emailType from ".$table." where emailtype='Automatic Authorize.net email' limit 1")!='Automatic Authorize.net email')
	$wpdb->query("INSERT INTO ".$table." (emailType,emailSubject) VALUES ('Automatic Authorize.net email','$esubject')"); 

if ( get_option('eshop_version')=='' || get_option('eshop_version') < '4.1.9' ){
	$table = $wpdb->prefix . "eshop_discount_codes";
	$wpdb->query("ALTER TABLE ".$table." CHANGE `percent` `percent` float(4,2) NOT NULL DEFAULT '0'");
}
if ( get_option('eshop_version')=='' || get_option('eshop_version') < '4.1.9' ){
	$table = $wpdb->prefix . "eshop_admin_takvista";
	$wpdb->query("ALTER TABLE ".$table." CHANGE `percent` `percent` float(4,2) NOT NULL DEFAULT '0'");
}
if ( get_option('eshop_version')=='' || get_option('eshop_version') < '3.9.0' ){
	$table = $wpdb->prefix . "eshop_order_items";
		$tablefields = $wpdb->get_results("DESCRIBE {$table}");
		$add_field = TRUE;
		foreach ($tablefields as $tablefield) {
			if(strtolower($tablefield->Field)=='optsets') {
				$add_field = FALSE;
			}
		}
		if ($add_field) {
			$sql="ALTER TABLE `".$table."` ADD `optsets` TEXT NOT NULL";
			$wpdb->query($sql);
	}
}

if ( get_option('eshop_version')=='' || get_option('eshop_version') < '3.5.0' ){
	$table = $wpdb->prefix . "eshop_order_items";
	$wpdb->query("ALTER TABLE ".$table." CHANGE `item_id` `item_id` VARCHAR( 255 ) NOT NULL DEFAULT''");
}
if ( get_option('eshop_version')=='' || get_option('eshop_version') < '3.0.2' ){
//prior to 3.1
//this portion removed due to problems.
/*
	$eshopurl=eshop_files_directory();
	$templateFile = $eshopurl['0'];
	$table = $wpdb->prefix ."eshop_emails";
	$files[]=array(0=>$templateFile.'order-recieved-email.tpl',1=>'Automatic default email',2=>__('Your order from ','eshop').get_bloginfo('name'),3=>'1');
	$files[]=array(0=>$templateFile.'customer-response-email.tpl',1=>'Admin Order Form email',2=>get_bloginfo('name').__(' Notification','eshop'),3=>'2');
	foreach($files as $foo=>$file){
		if(is_file($file[0]) && filesize($file[0]) > 0){
			$f = fopen($file[0], 'r');
			$wpdb->query("DELETE FROM $table WHERE id = $file[3] LIMIT 1");
			$emailfile = fread($f, filesize($file[0]));
			$wpdb->query("INSERT INTO ".$table." (id,emailUse,emailType, emailSubject,emailContent) VALUES ('$file[3]','1','$file[1]','$file[2]','$emailfile')"); 
			fclose($f);
			unlink ($file[0]);
		}
	}
*/
	$table = $wpdb->prefix . "eshop_orders";
	$wpdb->query("ALTER TABLE ".$table." &#1578;&#1594;&#1740;&#1740;&#1585; `&#1608;&#1590;&#1593;&#1740;&#1578;` `&#1608;&#1590;&#1593;&#1740;&#1578;` SET( '&#1575;&#1585;&#1587;&#1575;&#1604;', '&#1705;&#1575;&#1605;&#1604; &#1588;&#1583;', '&#1578;&#1575; &#1586;&#1605;&#1575;&#1606;&#1740; &#1705;&#1607;', '&#1582;&#1591;&#1575;', '&#1581;&#1584;&#1601;', '&#1589;&#1576;&#1585; &#1705;&#1606;&#1740;&#1583;' ) DEFAULT '&#1578;&#1575; &#1605;&#1583; &#1586;&#1605;&#1575;&#1606; &#1605;&#1588;&#1582;&#1589;' NOT NULL");
}

if ( get_option('eshop_version')=='' || get_option('eshop_version') < '2.13.9' ){
	// lumping all changes prior to 3.0.0
	/* db changes */
	$table = $wpdb->prefix ."eshop_base_products";
	$tablefields = $wpdb->get_results("DESCRIBE {$table};");
	foreach($tablefields as $tablefield) {
		if(strtolower($tablefield->Field)=='condition') {
			$sql="ALTER TABLE ".$table." CHANGE `&#1588;&#1585;&#1591;` thecondition VARCHAR(255) NOT NULL default ''";
			$wpdb->query($sql);
		}
	}
	/* db changes */
	$table = $wpdb->prefix . "eshop_orders";
	$tablefields = $wpdb->get_results("DESCRIBE {$table};");
	foreach($tablefields as $tablefield) {
		if(strtolower($tablefield->Field)=='memo') {
			$sql="ALTER TABLE ".$table." CHANGE `memo` thememo TEXT NOT NULL";
			$wpdb->query($sql);
		}
	}

	/* db changes 2.10.1 */

	$table = $wpdb->prefix . "eshop_orders";
	$tablefields = $wpdb->get_results("DESCRIBE {$table}");
	$add_field = TRUE;
	foreach ($tablefields as $tablefield) {
		if(strtolower($tablefield->Field)=='admin_note') {
			$add_field = FALSE;
		}
	}
	if ($add_field) {
		$sql="ALTER TABLE `".$table."` ADD `admin_note` TEXT NOT NULL";
		$wpdb->query($sql);
	}

	/* db change 2.11.7 (2.12 release) */

	$table = $wpdb->prefix . "eshop_order_items";
	$tablefields = $wpdb->get_results("DESCRIBE {$table}");
	foreach ($tablefields as $tablefield) {
		 $add_field[]= $tablefield->Field;
	}
	if(!in_array('down_id',$add_field)) {
		$sql="ALTER TABLE `".$table."` ADD `down_id` int(11) NOT NULL default '0'";
		$wpdb->query($sql);
	}
	/* db changes 2.13.0 */
	/* state table recreated + */
	$table = $wpdb->prefix . "eshop_countries";
	$tablefields = $wpdb->get_results("DESCRIBE {$table}");
	foreach ($tablefields as $tablefield) {
		 $add_field[]= $tablefield->Field;
	}
	if(!in_array('list',$add_field)) {
		$sql="ALTER TABLE `".$table."` ADD `list` tinyint(1) NOT NULL default '1'";
		$wpdb->query($sql);
	}
	/*db change 3.0.0*/
	$table = $wpdb->prefix . "eshop_orders";
	$tablefields = $wpdb->get_results("DESCRIBE {$table}");
	foreach ($tablefields as $tablefield) {
		 $add_field[]= $tablefield->Field;
	}
	if(!in_array('paidvia',$add_field)) {
		$sql="ALTER TABLE `".$table."` ADD `&#1662;&#1585;&#1583;&#1575;&#1582;&#1578; &#1578;&#1608;&#1587;&#1591;` VARCHAR(255) NOT NULL default 'paypal'";
		$wpdb->query($sql);
	}

	$table = $wpdb->prefix . "eshop_orders";
	$sql="ALTER TABLE `".$table."` CHANGE `&#1575;&#1587;&#1578;&#1575;&#1606;` `&#1575;&#1587;&#1578;&#1575;&#1606;` VARCHAR(100) NOT NULL default ''";
	$sql="ALTER TABLE `".$table."` CHANGE `ship_state` `ship_state` VARCHAR(100) NOT NULL default ''";
	$wpdb->query($sql);

	/*update all post meta to new post meta */
	$eshop_old_postmeta=array('&#1587;&#1705;&#1608;','&#1580;&#1586;&#1740;&#1740;&#1575;&#1578; &#1605;&#1581;&#1589;&#1608;&#1604;',' &#1583;&#1575;&#1606;&#1604;&#1608;&#1583; &#1605;&#1581;&#1589;&#1608;&#1604;','&#1585;&#1608;&#1588; &#1581;&#1605;&#1604;','&#1606;&#1605;&#1575;&#1740;&#1588; &#1605;&#1581;&#1589;&#1608;&#1604;&#1575;&#1578;',' &#1605;&#1608;&#1580;&#1608;&#1583;&#1740; &#1575;&#1606;&#1576;&#1575;&#1585;','&#1605;&#1602;&#1583;&#1575;&#1585; &#1575;&#1606;&#1576;&#1575;&#1585;');
	//add on options and prices into the mix

	$numoptions=get_option('eshop_options_num');
	if(!is_numeric($numoptions)) $numoptions='3';
	for($i=1;$i<=$numoptions;$i++){
		$eshop_old_postmeta[]='&#1578;&#1606;&#1592;&#1740;&#1605; '.$i;
		$eshop_old_postmeta[]='&#1602;&#1740;&#1605;&#1578; '.$i;
	}
	//go through every page and post
	$args = array(
		'post_type' => 'any',
		'numberposts' => -1,
		); 
	//add in transfer from prod download to _download here
	$allposts = get_posts($args);
	foreach( $allposts as $postinfo) {
		foreach($eshop_old_postmeta as $field){
			$eshopvalue=get_post_meta($postinfo->ID, $field,true);
			if($eshopvalue!=''){
				add_post_meta( $postinfo->ID, '_'.$field, $eshopvalue);
				delete_post_meta($postinfo->ID, $field);
			}
		 }
		if(get_post_meta($postinfo->ID, '_Product Download',true)!=''){
			$eshopvalue=get_post_meta($postinfo->ID, '_Product Download',true);
			add_post_meta( $postinfo->ID, '_Download 1', $eshopvalue);
		}
		delete_post_meta($postinfo->ID, '_Product Download');
	}
	/* post meta end */
}



/* page insertion */
/*
 * This part creates the pages and automatically puts their URLs into the options page.
 * As you can probably see, it is very easily extendable, just pop in your page and the deafult content in the array and you are good to go.
 */

$post_date =date("Y-m-d H:i:s");
$post_date_gmt =gmdate("Y-m-d H:i:s");

$num=0;
$pages[$num]['name'] = 'shopping-cart';
$pages[$num]['title'] = '&#1587;&#1576;&#1583; &#1582;&#1585;&#1740;&#1583;';
$pages[$num]['tag'] = '[eshop_show_cart';
$pages[$num]['option'] = 'eshop_cart';

$num++;
$pages[$num]['name'] = 'checkout';
$pages[$num]['title'] = '&#1606;&#1602;&#1583; &#1705;&#1585;&#1583;&#1606;';
$pages[$num]['tag'] = '[eshop_show_checkout';
$pages[$num]['option'] = 'eshop_checkout';

$num++;
$pages[$num]['name'] = 'thank-you';
$pages[$num]['title'] = '&#1583;&#1585;&#1576;&#1575;&#1585;&#1607; &#1587;&#1601;&#1575;&#1585;&#1588; &#1588;&#1605;&#1575;';
$pages[$num]['tag'] = '[eshop_show_success';
$pages[$num]['option'] = 'eshop_cart_success';

$num++;
$pages[$num]['name'] = 'cancelled-order';
$pages[$num]['title'] = '&#1575;&#1606;&#1589;&#1585;&#1575;&#1601; &#1575;&#1586; &#1587;&#1601;&#1575;&#1585;&#1588;';
$pages[$num]['tag'] = '[eshop_show_cancel';
$pages[$num]['option'] = 'eshop_cart_cancel';

$num++;
$pages[$num]['name'] = 'shipping-rates';
$pages[$num]['title'] = '&#1585;&#1608;&#1588; &#1581;&#1605;&#1604;';
$pages[$num]['tag'] = '[eshop_show_shipping';
$pages[$num]['option'] = 'eshop_cart_shipping';
$pages[$num]['top'] = 'yes';

$num++;
$pages[$num]['name'] = 'downloads';
$pages[$num]['title'] = '&#1583;&#1575;&#1606;&#1604;&#1608;&#1583;&#1607;&#1575;';
$pages[$num]['tag'] = '[eshop_show_downloads';
$pages[$num]['option'] = 'eshop_show_downloads';
$pages[$num]['top'] = 'yes';

$newpages = false;
$i = 0;
$post_parent = 0;
$qtable=$wpdb->prefix . "posts";
foreach($pages as $page) {
	$check_page = $wpdb->get_row("SELECT * FROM $qtable WHERE post_type='page' && `post_content` LIKE '%".$page['tag']."%' LIMIT 1",ARRAY_A);
	if($check_page == null){
		if($i == 0){
			$post_parent = 0;
		}else{
			$post_parent = $first_id;
		}
		if($page['top']=='yes'){
			$post_parent=0;
		}
		
		global $wp_version;
		if($wp_version >= 2.1){
			$pagepublish='publish';
		}else{
			$pagepublish='static';
		}
		$page['tag']=$page['tag'].']';
		$sql ="INSERT INTO $qtable
		(post_author, post_date, post_date_gmt, post_content, post_content_filtered, post_title, post_excerpt,  post_status, comment_status, ping_status, post_password, post_name, to_ping, pinged, post_modified, post_modified_gmt, post_parent, menu_order, post_type)
		VALUES
		('1', '$post_date', '$post_date_gmt', '".$page['tag']."', '', '".$page['title']."', '', '".$pagepublish."', 'closed', 'closed', '', '".$page['name']."', '', '', '$post_date', '$post_date_gmt', '$post_parent', '0', 'page')";
		
		$wpdb->query($sql);
		$post_id = $wpdb->insert_id;
		if($i == 0){
			$first_id = $post_id;
		}
		$wpdb->query("UPDATE $qtable SET guid = '" . get_permalink($post_id) . "' WHERE ID = '$post_id'");
		update_option($page['option'],  $post_id);
		$newpages = true;
		$i++;
	}else{
	  update_option($page['option'],  $check_page['ID']);
	}
}
if($newpages == true){
	wp_cache_delete('all_page_ids', 'pages');
	$wp_rewrite->flush_rules();
}

/* directory creation, and file transfer */

function eshop_create_dirs(){
	$dirs=wp_upload_dir();
	$upload_dir=$dirs['basedir'];

	if(wp_mkdir_p( $upload_dir )){
		$url_dir=$dirs['baseurl'];
		if(substr($url_dir, -1)!='/')$url_dir.='/';
		$plugin_dir=WP_PLUGIN_DIR;
		//files
		$eshop_goto=$upload_dir.'/eshop_files';
		$eshop_from=$plugin_dir.'/eshop/files';
		if(!file_exists($eshop_goto.'/eshop.css')){
			wp_mkdir_p( $eshop_goto );
			if ($handle = opendir($eshop_from)) {
				/* This is the correct way to loop over the directory. */
				while (false !== ($file = readdir($handle))) {
					if($file!='' && $file!='.' && $file!='..'){
						copy($eshop_from.'/'.$file,$eshop_goto.'/'.$file);
						chmod($eshop_goto.'/'.$file,0666);
					}
				}
				closedir($handle);
			}
		}
		//downloads
		$eshop_goto=$upload_dir.'/../eshop_downloads';
		$eshop_from=$plugin_dir.'/eshop/downloads';
		if(!file_exists($eshop_goto.'/.htaccess')){
			wp_mkdir_p( $eshop_goto );
			if ($handle = opendir($eshop_from)) {
				/* This is the correct way to loop over the directory. */
				while (false !== ($file = readdir($handle))) {
					if($file!='' && $file!='.' && $file!='..'){
						copy($eshop_from.'/'.$file,$eshop_goto.'/'.$file);
						chmod($eshop_goto.'/'.$file,0666);
					}
				}
				closedir($handle);
			}
		}
		//pay images
		$eshop_goto=$upload_dir.'/eshop_files';
		 //make sure directory exists
		wp_mkdir_p( $eshop_goto );
		$files=array('paypal','sb24','payson','cash','epn','webtopay','authorizenet', 'ideallite');
		foreach ($files as $file){
			if(!file_exists($eshop_goto.'/'.$file.'.png')){
				//copy the files
				copy($plugin_dir.'/eshop/'.$file.'/'.$file.'.png',$eshop_goto.'/'.$file.'.png');
				chmod($eshop_goto.'/'.$file.'.png',0777);
			}
		}
		return true;
	}
	return false;
}
$eshoptime=mktime(0, 0, 0, date('n'), date('j'), date('Y'));
wp_schedule_event($eshoptime, 'daily', 'eshop_event');
/* version number store - add/update */
update_option('eshop_version', ESHOP_VERSION);
?>