<?php
/*
	Based on ideal-lite-plugin-for-wordpress-2.8.1-and-e-commerce-3.7 by Martijn Wieringa (info@php-solutions.nl)
	See also his link: http://www.ideal-simulator.nl/ideal-for-wordpress-and-e-commerce-plugin.html
	
	Ported to eShop by Timo Tijhof (info@grizzdesign.nl) 
	Version: 0.0.5 (2009-11-03)
	
	Changelog:
		0.0.1 - Initial version
		0.0.2 - Addes custom statusnames in trxid and mailsubjects
		0.0.3 - Minor bugfixes and code optimalisation
		0.0.4 - Removed hardcoded debugging code, and disabled dynamic ones 
		0.0.5 - Fixed link to order in shopowner-mail
		
		
	Todo:
		- Output setError when set in the class
		- Empty shopping cart on successfull payment
		- Translation to Dutch
		- Test in live environment
		- Remove vars and functions that are now unused (because of merge) 
*/


global $wpdb;
$detailstable=$wpdb->prefix.'eshop_orders';

//sanitise
include_once(WP_PLUGIN_DIR.'/eshop/cart-functions.php');
$_POST=sanitise_array($_POST);

include_once (WP_PLUGIN_DIR.'/eshop/ideallite/index.php');
// Setup class
require_once(WP_PLUGIN_DIR.'/eshop/ideallite/ideallite.class.php');  // include the class file
$p = new ideallite_class;             // initiate an instance of the class

$this_script = get_option('siteurl');
global $wp_rewrite;
if(get_option('eshop_checkout')!=''){
	if( $wp_rewrite->using_permalinks()){
		$p->autoredirect=get_permalink(get_option('eshop_checkout')).'?eshopaction=redirect';
	}else{
		$p->autoredirect=get_permalink(get_option('eshop_checkout')).'&amp;eshopaction=redirect';
	}
}else{
	$p->autoredirect=get_permalink(get_option('eshop_checkout')).'&amp;eshopaction=redirect';
}

// iDeal Stuff
	$ideallite = get_option('eshop_ideallite'); 
	// Set ideallite variables
		if(!empty($ideallite['IDEAL_HASH_KEY'])) {
			$p->sHashKey = $ideallite['IDEAL_HASH_KEY'];
		} elseif(!empty($ideallite['IDEAL_PRIVATE_KEY'])) {
			$p->sHashKey = $ideallite['IDEAL_PRIVATE_KEY'];
		}
		
		if(!empty($ideallite['IDEAL_MERCHANT_ID'])) {
			$p->sMerchantId = $ideallite['IDEAL_MERCHANT_ID'];
		}
		
		if(!empty($ideallite['IDEAL_SUB_ID'])) {
			$p->sSubId = $ideallite['IDEAL_SUB_ID'];
		} else { $p->sSubId = "0"; }
		
		if(!empty($ideallite['IDEAL_AQUIRER'])) {
			$p->sAquirerName = $ideallite['IDEAL_AQUIRER'];
		}
		
		if(!empty($ideallite['IDEAL_TEST_MODE'])) {
			$p->bTestMode = $ideallite['IDEAL_TEST_MODE'];
		}
	
	// Set aquirer (Use: Rabobank, ING Bank or ABN Amro)
		$sAquirerName = $p->sAquirerName;
		$bTestMode = $p->bTestMode;
		
		if(stripos($sAquirerName, 'rabo') !== false) // Rabobank
		{
			$p->sUrlAquirer = 'https://ideal' . ($bTestMode ? 'test' : '') . '.rabobank.nl/ideal/mpiPayInitRabo.do';
		}
		elseif(stripos($sAquirerName, 'ing') !== false) // ING Bank
		{
			$p->sUrlAquirer = 'https://ideal' . ($bTestMode ? 'test' : '') . '.secure-ing.com/ideal/mpiPayInitIng.do';
		}
		elseif(stripos($sAquirerName, 'sim') !== false) // Simulator
		{
			$p->sUrlAquirer = 'https://www.ideal-simulator.nl/lite/';
		}
		else // Unknown aquirer
		{
			$p->setError = 'Unknown aquirer. Please use Rabobank, ING Bank or Simulator.'.__FILE__.__LINE__;
			return false;
		}
		
	
// if there is no action variable, set the default action of 'process'
if (empty($_GET['eshopaction'])) $_GET['eshopaction'] = 'process';  

switch ($_GET['eshopaction']) {
    case 'redirect':
    	//auto-redirect bits
		header('Cache-Control: no-cache, no-store, must-revalidate'); //HTTP/1.1
		header('Expires: Sun, 01 Jul 2005 00:00:00 GMT');
		header('Pragma: no-cache'); //HTTP/1.0

		//enters all the data into the database
		$ideallite = get_option('eshop_ideallite'); 
				
		$checkid=md5($_POST['RefNr']);
		
		// Set codes & hash
			$replace = array("&#039;","'", "\"","&quot;","&amp;","&");
			$desc = str_replace($replace, " ", $ideallite['idealdescription']);
			$p->desc30 =substr($desc, 0, 30);
			
			$p->refid=$_POST['RefNr'];
			
			$totalCosts = $_POST['amount'];
			$p->totalCosts100 = round($totalCosts * 100);
			
			$p->sValidUntil = date('Y-m-d\TG:i:s\Z', strtotime('+1 hour'));
			
		// Setup iDEAL-hash string
			$sHashString = $p->sHashKey . $p->sMerchantId . $p->sSubId . $p->totalCosts100 . $p->refid . 
			$p->sPaymentType . $p->sValidUntil . '1' . $p->desc30 . '1' . $p->totalCosts100;
			
			$sHashString = html_entity_decode($sHashString); // Remove HTML Entities
			
			// Remove space characters: "\t", "\n", "\r" and " "
			$sHashString = str_replace(array("\t", "\n", "\r", " "), '', $sHashString);
			
			$p->sHash = sha1($sHashString);	// Generate iDEAL-hash and send to class for submitting to ideallite
		
		// Send generated hashes to class for submitting to ideallite
		$p->sTransactionId = sha1($p->refid . '_' . $p->sHash . '_' . rand(100000000, 999999999));
		$p->sEntranceCode = sha1($p->refid . '_' . $p->sHash . '_' . rand(100000000, 999999999));
			
	
		// Set URLs
		$sUrlBase = $_POST['notify_url'];
		
		$p->sUrlCancel = $sUrlBase.'&ideal[trxid]=' . $p->sTransactionId . '&ideal[ec]=' . $p->sEntranceCode . '&RefNr=' . $p->refid . '&ideal[status]=' . md5('CANCEL');
$p->sUrlError = $sUrlBase.'&ideal[trxid]=' . $p->sTransactionId . '&ideal[ec]=' . $p->sEntranceCode . '&RefNr=' . $p->refid . '&ideal[status]=' . md5('ERROR');
$p->sUrlSuccess = $sUrlBase.'&ideal[trxid]=' . $p->sTransactionId . '&ideal[ec]=' . $p->sEntranceCode . '&RefNr=' . $p->refid . '&ideal[status]=' . md5('SUCCESS');


		orderhandle($_POST,$checkid);
		
		$traxid = $p->sTransactionId;
		$_POST['custom']=$traxid;
		
		if(get_option('eshop_status')=='live'){
			$p->ideallite_url = 'http://www.google.com/the-real-bank-site.html';     // ideallite url
		}else{
			$p->ideallite_url = 'https://www.ideal-simulator.nl/lite/';   // testing ideallite url
		}
		$echoit.=$p->eshop_submit_ideallite_post($_POST);
		//$p->dump_fields();      // for debugging, output a table of all the fields
		break;
        
   case 'process':      // Process and order...
	
		// There should be no output at this point.  To process the POST data,
		// the submit_ideallite_post() function will output all the HTML tags which
		// contains a FORM which is submited instantaneously using the BODY onload
		// attribute.  In other words, don't echo or printf anything when you're
		// going to be calling the submit_ideallite_post() function.
		
		// This is where you would have your form validation  and all that jazz.
		// You would take your POST vars and load them into the class like below,
		// only using the POST values instead of constant string expressions.

		// For example, after ensureing all the POST variables from your custom
		// order form are valid, you might have:
		//
		// $p->add_field('first_name', $_POST['first_name']);
		// $p->add_field('last_name', $_POST['last_name']);
      
      /****** The order has already gone into the database at this point ******/
      
		global $wp_rewrite,$blog_id;

		//goes direct to this script as nothing needs showing on screen.
		if(get_option('eshop_cart_success')!=''){
			if( $wp_rewrite->using_permalinks()){
				$ilink=get_permalink(get_option('eshop_cart_success')).'?eshopaction=idealliteipn';
			}else{
				$ilink=get_permalink(get_option('eshop_cart_success')).'&amp;eshopaction=idealliteipn';
			}
		}else{
			$ilink=get_permalink(get_option('eshop_checkout')).'&amp;eshopaction=idealliteipn';
		}
		$p->add_field('notify_url', $ilink);

		$p->add_field('shipping_1', number_format($_SESSION['shipping'.$blog_id],2));
		foreach($_POST as $name=>$value){
			//have to do a discount code check here - otherwise things just don't work - but fine for free shipping codes
			if(strstr($name,'amount_')){
				if(isset($_SESSION['eshop_discount'.$blog_id]) && eshop_discount_codes_check()){
					$chkcode=valid_eshop_discount_code($_SESSION['eshop_discount'.$blog_id]);
					if($chkcode && apply_eshop_discount_code('discount')>0){
						$discount=apply_eshop_discount_code('discount')/100;
						$value = number_format(round($value-($value * $discount), 2),2);
						$vset='yes';
					}
				}
				if(is_discountable(calculate_total())!=0 && !isset($vset)){
					$discount=is_discountable(calculate_total())/100;
					$value = number_format(round($value-($value * $discount), 2),2);
				}
			}
			
			$p->add_field($name, $value);
		}
	
		if(get_option('eshop_status')!='live' && is_user_logged_in()||get_option('eshop_status')=='live'){
			$echoit .= $p->submit_ideallite_post(); // submit the fields to ideallite
    		//$p->dump_fields();      // for debugging, output a table of all the fields
    	}
      	break;
   case 'idealliteipn':          // ideallite is calling page for IPN validation...
   
		// It's important to remember that ideallite calling this script.  There
		// is no output here.  This is where you validate the IPN data and if it's
		// valid, update your database to signify that the user has payed.  If
		// you try and use an echo or printf function here it's not going to do you
		// a bit of good.  This is on the "backend".  That is why, by default, the
		// class logs all IPN data to a text file.
		// the loggin to a text file isn't working, so we have coded an email to be sent instead.

			// Payment has been recieved and IPN is verified.  This is where you
			// update your database to activate or process the order, or setup
			// the database with the user's order details, email an administrator,
			// etc.  You can access a slew of information via the ipn_data() array.

			// Check the ideallite documentation for specifics on what information
			// is available in the IPN POST variables.  Basically, all the POST vars
			// which ideallite sends, which we send back for validation, are now stored
			// in the ipn_data() array.
 		/*
		updating db.
		*/
		foreach ($_REQUEST as $field=>$value) { 
		  $ps->ipn_data["$field"] = $value;
		}

		$ideallite = get_option('eshop_ideallite'); 
		
		$urlTransactionId = $_GET['ideal']['trxid'];
		$urlEntranceCode = $_GET['ideal']['ec'];
		$urlStatus = $_GET['ideal']['status'];
		$urlRefNr = $_GET['RefNr'];
			
		$checked = md5($urlRefNr);
		
		$eshopdosend='yes';
			
		if(isset($_GET['ideal']['trxid']) && isset($_GET['ideal']['ec']) && isset($_GET['ideal']['status'])) {
		
			$sTransactionId = $_GET['ideal']['trxid'];
			$sEntranceCode = $_GET['ideal']['ec'];
			$sStatus = $_GET['ideal']['status'];
			
			if(in_array($sStatus, array(md5('CANCEL'), md5('ERROR'), md5('SUCCESS'))) == false) {
				$sStatus = md5('ERROR');
			}
			
			// Convert status to text
			if ($sStatus == md5('CANCEL')) {
				$sStatus = "CANCEL";
			} elseif ($sStatus == md5('ERROR')) {
				$sStatus = "ERROR";
			} elseif ($sStatus == md5('SUCCESS')) {
				$sStatus = "SUCCESS";
			} else {
				echo "Invalid iDEAL-status";
				return false;
			} //echo "<h1>".$sStatus."</h1>"; // for debugging, outputs cleartext statuscode that is being used from here on
			
			
			//
			// If payment was marked by iDEAL as SUCCESS
			//
			if(strcasecmp($sStatus, 'SUCCESS') === 0) {
				//Set transaction IDs
				if(get_option('eshop_status')=='live'){
					$txn_id = $wpdb->escape($ps->ipn_data['RefNr']);
					$subject = __('iDeal -','eshop');
				}else{
					$txn_id = __("TEST-",'eshop').$wpdb->escape($ps->ipn_data['RefNr']);
					$subject = __('Testing: ideallite IPN - ','eshop');
				}
				//check txn_id is unique
				$checktrans=$wpdb->get_results("select transid from $detailstable");
				$astatus=$wpdb->get_var("select status from $detailstable where checkid='$checked' limit 1");
				foreach($checktrans as $trans){
					if(strpos($trans->transid, $ps->ipn_data['RefNr'])===true){
						$astatus='Failed';
						$txn_id = __("Duplicated-",'eshop').$wpdb->escape($ps->ipn_data['RefNr']);
					}
				}
				//the magic bit  + creating the subject for our email.
				if($astatus=='Pending'){
					$query2=$wpdb->query("UPDATE $detailstable set status='Completed',transid='$txn_id' where checkid='$checked'");
					$subject .=__("Completed Payment",'eshop');	
					$ok='yes';
					//product stock control updater
					$itemstable=$wpdb->prefix ."eshop_order_items";
					$stocktable=$wpdb->prefix ."eshop_stock";
					$mtable=$wpdb->prefix.'postmeta';
					$producttable=$wpdb->prefix.'eshop_downloads';
					$query=$wpdb->get_results("SELECT item_qty,post_id,item_id,down_id FROM $itemstable WHERE checkid='$checked' AND item_id!='postage'");
					foreach($query as $row){
						$pid=$row->post_id;
						$uqty=$row->item_qty;
						////test downloads
						//check if downloadable product
						$fileid=$row->down_id;
						if($fileid!=0){
							$grabit=$wpdb->get_row("SELECT title, files FROM $producttable where id='$fileid'");
							//add 1 to number of purchases here (duplication but left in)
							$wpdb->query("UPDATE $producttable SET purchases=purchases+1 where title='$grabit->title' && files='$grabit->files' limit 1");
							$chkit= $wpdb->get_var("SELECT purchases FROM $stocktable WHERE post_id='$pid'");
							if($chkit!=''){	
								$wpdb->query("UPDATE $stocktable set purchases=purchases+$uqty where post_id=$pid");
							}else{
								$wpdb->query("INSERT INTO $stocktable (available, purchases, post_id) VALUES ('0','$uqty','$pid')");
							}
						}else{
							$chkit= $wpdb->get_var("SELECT purchases FROM $stocktable WHERE post_id='$pid'");
							if($chkit!=''){						
								$wpdb->query("UPDATE $stocktable set available=available-$uqty, purchases=purchases+$uqty where post_id=$pid");
							}else{
								$wpdb->query("INSERT INTO $stocktable (available, purchases, post_id) VALUES ('0','$uqty','$pid')");
							}
						}
	
					}
				}else{
					//cannot print anything out at this stage. so ideallite users won't see the download form.
					//then it must be a success
					//close session here.
					$_SESSION = array();
					session_destroy();
					$eshopdosend='no';
				}
	
				if($eshopdosend=='yes'){
					$subject .=" Ref:".$ps->ipn_data['RefNr'];
					$orderID=$wpdb->get_var("select id from $detailstable where checkid='$checked' limit 1");
					$viewOrdersURL = get_option( 'siteurl' ) . '/wp-admin/admin.php?page=eshop_orders.php&view=' . $orderID;
					// email to business a complete copy of the notification from ideallite to keep!!!!!
					$array=eshop_rtn_order_details($checked);
					$ps->ipn_data['payer_email']=$array['ename'].' '.$array['eemail'].' ';
					 $to = $ideallite['idealownermail'];    //  your email
					 $body =  __("An instant payment notification was received",'eshop')."\n";
					 $body .= "\n".__("from ",'eshop').$ps->ipn_data['payer_email'].__(" on ",'eshop').date('m/d/Y');
					 $body .= __(" at ",'eshop').date('g:i A')."\n";
					 $body .= __('More information', 'shop').": ".$viewOrdersURL."\n\n";
					 $body .= __('Details','eshop').":\n";
					 foreach ($ps->ipn_data as $key => $value) { $body .= "\n$key: $value"; }
					 $body .= "\n\n".__('Regards, Your friendly automated response.','eshop')."\n\n";
	
					$headers=eshop_from_address();
					wp_mail($to, $subject, $body, $headers);
				}
				if($ok=='yes'){
					//only need to send out for the successes!
					//lets make sure this is here and available
					include_once(WP_PLUGIN_DIR.'/eshop/cart-functions.php');
	
					//this is an email sent to the customer:
					//first extract the order details
					$array=eshop_rtn_order_details($checked);
	
					$etable=$wpdb->prefix.'eshop_emails';
					//grab the template
					$thisemail=$wpdb->get_row("SELECT emailSubject,emailContent FROM ".$etable." WHERE (id='4' AND emailUse='1') OR id='1'  order by id DESC limit 1");
					$this_email = stripslashes($thisemail->emailContent);
					// START SUBST
					$csubject=stripslashes($thisemail->emailSubject);
					$this_email = eshop_email_parse($this_email,$array);
	
					//try and decode various bits - may need tweaking Mike, we may have to write 
					//a function to handle this depending on what you are using - but for now...
					$this_email=html_entity_decode($this_email,ENT_QUOTES);
					$headers=eshop_from_address();
					wp_mail($array['eemail'], $csubject, $this_email,$headers);
				
					// Clear the session - Empty the cart
					$_SESSION = array();
					session_destroy();
				}
	
			}
			//
			// Payment was marked by iDEAL as ERROR, or was CANCELed (statuscode = $sStatus)
			//
			else{
				$ideallite = get_option('eshop_ideallite'); 
				if(get_option('eshop_status')=='live'){
					$txn_id = $wpdb->escape($ps->ipn_data['RefNr']);
					$subject = __('iDeal -','eshop');
				}else{
					$txn_id = __("TEST-",'eshop').$wpdb->escape($ps->ipn_data['RefNr']);
					$subject = __('Testing: ideallite IPN - ','eshop');
				}
				$txn_id = $sStatus.': '.$txn_id; //prepend statuscode to transaction-id for the indication in the backend
				
				$array=@eshop_rtn_order_details($checked);
				$ps->ipn_data['payer_email']=@$array['ename'].' '.@$array['eemail'].' ';
				$astatus=$wpdb->get_var("select status from $detailstable where checkid='$checked' limit 1");
				//the magic bit  + creating the subject for our email.
				if($astatus=='Pending'){
					$query2=$wpdb->query("UPDATE $detailstable set status='Failed',transid='$txn_id' where checkid='$checked'");
					
					if(strcasecmp($sStatus, 'ERROR') === 0) {
						// If marked by iDEAL as ERROR
						$subject .=__("ERROR Payment",'eshop');
					}
					elseif(strcasecmp($sStatus, 'CANCEL') === 0) {
						// Else, if marked by iDEAL as CANCEL
						$subject .=__("Cancelled Payment",'eshop');
					}
					else {
						// Fallback to default just in case
						$subject .=__("INVALID Payment",'eshop');
					}
				}else{
					$query2=$wpdb->query("UPDATE $detailstable set status='Failed',transid='$txn_id' where checkid='$checked'");
					$subject .=__("Invalid and Failed Payment",'eshop');
				}
				$subject .=" Ref:".$ps->ipn_data['RefNr'];
				// email to business a complete copy of the notification from ideallite to keep!!!!!
				 $to = $ideallite['idealownermail'];    //  your email
				 $body =  __("An instant payment notification was received",'eshop')."\n";
				 $body .= "\n".__('from','eshop')." ".$ps->ipn_data['payer_email'].__(" on ",'eshop').date('m/d/Y');
				 $body .= __(' at ','eshop').date('g:i A')."\n\n".__('Details:','eshop')."\n";
				 foreach ($ps->ipn_data as $key => $value) { $body .= "\n$key: $value"; }
				 $body .= "\n\n".__("Regards, Your friendly automated response.",'eshop')."\n\n";
				 $headers=eshop_from_address();
				 wp_mail($to, $subject, $body, $headers);
			}
		}
		break;
}
?>